Bug 431613 - Kate becomes unresponsive when closing files
Kate becomes unresponsive when closing files
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-05 17:00 EST by Philip Ashmore
Modified: 2009-01-09 00:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-02-05 17:00:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20071213 Fedora/ Firefox/

Description of problem:
I'm using Kate to edit/read files.
It doesn't seem to matter how many files, but on how long Kate is running.
I want to close some files.
I can't see a pattern in it, but some files close almost straight away but others take up to ten seconds to close.
These are all local files on an ext3/LVM filesystem.

Version-Release number of selected component (if applicable):
kdebase 3.5.8-31.fc8

How reproducible:

Steps to Reproduce:
1. Start Kate and browse some source files.
2. Use as normal.
3. Start closing files.

Actual Results:
Some files take up to ten seconds to close.

Expected Results:
Files should close straight away.

Additional info:
Closing Kate seems to sidestep this problem - it closes straight away.
This "freeze" doesn't affect other Kate sessions running, or any other applications.

If I close Kate and then start it, re-opening the original session I get all the same files open but I can then close them straight away - the "freeze" problem goes away.

I see no change in CPU usage during a Kate "freeze".
Comment 1 Bug Zapper 2008-11-26 04:42:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 00:55:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.